---
title: "Activate event subscription"
url: "https://docs.signnow.com/docs/manage-event-subscriptions/operations/put-v2-event-subscriptions-subscription_id-activate"
type: "endpoint"
section: "manage-event-subscriptions"
slug: "manage-event-subscriptions/operations/put-v2-event-subscriptions-subscription_id-activate"
method: "PUT"
path: "/v2/event-subscriptions/{subscription_id}/activate"
operation_id: "put-v2-event-subscriptions-subscription_id-activate"
authorization: "bearer"
---

# Activate event subscription

`PUT /v2/event-subscriptions/{subscription_id}/activate`

This endpoint allows users to activate an inactive event subscription.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `subscription_id` | string | Yes | ID of the subscription. Must match the pattern: [a-z0-9]{40}. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Responses

### 204

Success, no content

### 400

Incorrect Bearer token

**Example** (`Example 1`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

The bearer token is valid but it belongs to another user.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 15006004,
      "message": "Event subscription is not allowed."
    }
  ]
}
```

### 404

* The subscription ID doesn't exist.
* The subscription ID value is incorrect (must match [a-z0-9]{40}).

**Example** (`Incorrect subscription ID`)

```json
{
  "404": "Unable to find a route to match the URI: v2/dashboard/event-subscriptions/test"
}
```

**Example** (`Subscription ID doesn't exist`)

```json
{
  "errors": [
    {
      "code": 15006003,
      "message": "Event subscription not found."
    }
  ]
}
```

### 422

This subscription ID is already active.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 15006008,
      "message": "Event subscription is already active."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/event-subscriptions/{subscription_id}/activate" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/manage-event-subscriptions/operations/put-v2-event-subscriptions-subscription_id-activate*
